<div class="flex flex-col h-screen">
  <mat-card class="m-4">
    <mat-card-header class="m-2">
      <mat-card-title>
        <div class="flex">
          <button class="secondary-icon mr-3" (click)="back()"><mat-icon>keyboard_backspace</mat-icon></button>
        {{ name || "New Role" }}
        </div>
      </mat-card-title>
    </mat-card-header>
    <mat-card-content class="flex flex-col">
      <form [formGroup]="roleForm">
        <mat-form-field class="w-full">
          <mat-label>Role Name</mat-label>
          <input matInput formControlName="roleName" required>
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions class="m-4 flex flex-row gap-2">
      <button (click)="updateRole()" mat-flat-button color="primary" [disabled]="!roleForm.valid"
        *ngIf="name">Update</button>
      <button (click)="createRole()" mat-flat-button color="primary" [disabled]="!roleForm.valid"
        *ngIf="!name">Create</button>
      <button (click)="delete()" mat-flat-button color="warn" *ngIf="uuid !== new">Delete</button>
    </mat-card-actions>
  </mat-card>
</div>